Package xg.md

# Enum Class ProtocolMetadata.protocolIdentity.identityType

java.lang.Object
java.lang.Enum<ProtocolMetadata.protocolIdentity.identityType>
xg.md.ProtocolMetadata.protocolIdentity.identityType

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `Serializable`, `Comparable<ProtocolMetadata.protocolIdentity.identityType>`, `Constable`

Enclosing class:
  ProtocolMetadata.protocolIdentity

public static enum ProtocolMetadata.protocolIdentity.identityType extends Enum<ProtocolMetadata.protocolIdentity.identityType> implements ProtocolMessageEnum
Protobuf enum `xg.md.protocolIdentity.identityType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANONYMOUS`
A non-identity.
`CERT_FINGERPRINT`
Security certificate fingerprint type
`HOSTNAME`
Simple hostname identity type
`INVALID`
Invalid identity type
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANONYMOUS_VALUE`
A non-identity.
`static final int`
`CERT_FINGERPRINT_VALUE`
Security certificate fingerprint type
`static final int`
`HOSTNAME_VALUE`
Simple hostname identity type
`static final int`
`INVALID_VALUE`
Invalid identity type

## Method Summary

Modifier and Type
Method
Description
`static ProtocolMetadata.protocolIdentity.identityType`
`forNumber(int value)`
`static final Descriptors.EnumDescriptor`
`getDescriptor()`
`final Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`final int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`final Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<ProtocolMetadata.protocolIdentity.identityType>`
`internalGetValueMap()`
`static ProtocolMetadata.protocolIdentity.identityType`
`valueOf(int value)`
Deprecated.
`static ProtocolMetadata.protocolIdentity.identityType`
`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolIdentity.identityType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolIdentity.identityType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ProtocolMetadata.protocolIdentity.identityType INVALID

     Invalid identity type

`INVALID = 0;`

### ANONYMOUS

public static final ProtocolMetadata.protocolIdentity.identityType ANONYMOUS

     A non-identity. Only valid in early bootstrapping

`ANONYMOUS = 1;`

### HOSTNAME

public static final ProtocolMetadata.protocolIdentity.identityType HOSTNAME

     Simple hostname identity type

`HOSTNAME = 2;`

### CERT_FINGERPRINT

public static final ProtocolMetadata.protocolIdentity.identityType CERT_FINGERPRINT

     Security certificate fingerprint type

`CERT_FINGERPRINT = 3;`

### UNRECOGNIZED

public static final ProtocolMetadata.protocolIdentity.identityType UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE

     Invalid identity type

`INVALID = 0;`

See Also:
  - Constant Field Values

### ANONYMOUS_VALUE

public static final int ANONYMOUS_VALUE

     A non-identity. Only valid in early bootstrapping

`ANONYMOUS = 1;`

See Also:
  - Constant Field Values

### HOSTNAME_VALUE

public static final int HOSTNAME_VALUE

     Simple hostname identity type

`HOSTNAME = 2;`

See Also:
  - Constant Field Values

### CERT_FINGERPRINT_VALUE

public static final int CERT_FINGERPRINT_VALUE

     Security certificate fingerprint type

`CERT_FINGERPRINT = 3;`

See Also:
  - Constant Field Values

## Method Details

### values

public static ProtocolMetadata.protocolIdentity.identityType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolMetadata.protocolIdentity.identityType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()
Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

### valueOf

@Deprecated public static ProtocolMetadata.protocolIdentity.identityType valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ProtocolMetadata.protocolIdentity.identityType forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static Internal.EnumLiteMap<ProtocolMetadata.protocolIdentity.identityType> internalGetValueMap()

### getValueDescriptor

public final Descriptors.EnumValueDescriptor getValueDescriptor()
Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

### getDescriptorForType

public final Descriptors.EnumDescriptor getDescriptorForType()
Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

### getDescriptor

public static final Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ProtocolMetadata.protocolIdentity.identityType valueOf(Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null